const { DataTypes } = require("sequelize");

module.exports = (sequelize) => {
	sequelize.define(
		"lessons",
		{
			id: {
				autoIncrement: true,
				type: DataTypes.INTEGER,
				allowNull: false,
				primaryKey: true,
			},
			date: {
				type: DataTypes.DATEONLY,
				allowNull: false,
			},
			title: {
				type: DataTypes.STRING(100),
				allowNull: true,
			},
			status: {
				type: DataTypes.INTEGER,
				allowNull: true,
				defaultValue: 0,
			},
		},
		{
			sequelize,
			tableName: "lessons",
			schema: "public",
			timestamps: false,
			indexes: [
				{
					name: "lessons_pkey",
					unique: true,
					fields: [{ name: "id" }],
				},
			],
		}
	);
};
